curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns-zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legacy_id": 123,
"name": "<string>",
"sld": "<string>",
"tld": "<string>",
"tld_info": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tld": "<string>",
"display_name": "<string>",
"category": "generic",
"pricing": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"years": 2147483647,
"registration_price": "<string>",
"renewal_price": "<string>",
"transfer_price": "<string>"
}
],
"is_active": true,
"is_registration_available": true,
"is_transfer_available": true,
"whois_privacy_available": true,
"whois_privacy_price": "<string>",
"transfer_lock_available": true,
"min_registration_years": 2147483647,
"max_registration_years": 2147483647
},
"status": "pending",
"registration_date": "2023-12-25",
"expiration_date": "2023-12-25",
"auto_renew": true,
"whois_privacy": true,
"is_locked": true,
"nameservers": "<unknown>",
"billing_cycle": 123,
"next_billing_date": "2023-12-25",
"dns_zone": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"mode": "onetsolutions",
"cloudflare_nameservers": "<unknown>",
"is_active": true,
"is_verified": true,
"record_count": 123,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
},
"website_preview": {
"url": "<string>",
"http_status": 123,
"page_title": "<string>",
"meta_description": "<string>",
"favicon_url": "<string>",
"thumbnail_url": "<string>",
"ssl_status": "valid",
"ssl_issuer": "<string>",
"ssl_issued_at": "2023-11-07T05:31:56Z",
"ssl_expires_at": "2023-11-07T05:31:56Z",
"last_check_at": "2023-11-07T05:31:56Z",
"last_successful_check_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
},
"registrant_first_name": "<string>",
"registrant_last_name": "<string>",
"registrant_organization": "<string>",
"registrant_email": "jsmith@example.com",
"registrant_phone": "<string>",
"registrant_address_1": "<string>",
"registrant_address_2": "<string>",
"registrant_city": "<string>",
"registrant_state": "<string>",
"registrant_postcode": "<string>",
"registrant_country": "<string>",
"admin_first_name": "<string>",
"admin_last_name": "<string>",
"admin_organization": "<string>",
"admin_email": "jsmith@example.com",
"admin_phone": "<string>",
"admin_address_1": "<string>",
"admin_address_2": "<string>",
"admin_city": "<string>",
"admin_state": "<string>",
"admin_postcode": "<string>",
"admin_country": "<string>",
"tech_first_name": "<string>",
"tech_last_name": "<string>",
"tech_organization": "<string>",
"tech_email": "jsmith@example.com",
"tech_phone": "<string>",
"tech_address_1": "<string>",
"tech_address_2": "<string>",
"tech_city": "<string>",
"tech_state": "<string>",
"tech_postcode": "<string>",
"tech_country": "<string>",
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}Associate a DNS zone with a domain. This links the domain to an existing DNS zone for unified management. When attached, the domain’s nameservers can be automatically configured to point to the zone’s authoritative servers. The DNS zone must already exist and belong to the same project.
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns-zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legacy_id": 123,
"name": "<string>",
"sld": "<string>",
"tld": "<string>",
"tld_info": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tld": "<string>",
"display_name": "<string>",
"category": "generic",
"pricing": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"years": 2147483647,
"registration_price": "<string>",
"renewal_price": "<string>",
"transfer_price": "<string>"
}
],
"is_active": true,
"is_registration_available": true,
"is_transfer_available": true,
"whois_privacy_available": true,
"whois_privacy_price": "<string>",
"transfer_lock_available": true,
"min_registration_years": 2147483647,
"max_registration_years": 2147483647
},
"status": "pending",
"registration_date": "2023-12-25",
"expiration_date": "2023-12-25",
"auto_renew": true,
"whois_privacy": true,
"is_locked": true,
"nameservers": "<unknown>",
"billing_cycle": 123,
"next_billing_date": "2023-12-25",
"dns_zone": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"mode": "onetsolutions",
"cloudflare_nameservers": "<unknown>",
"is_active": true,
"is_verified": true,
"record_count": 123,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
},
"website_preview": {
"url": "<string>",
"http_status": 123,
"page_title": "<string>",
"meta_description": "<string>",
"favicon_url": "<string>",
"thumbnail_url": "<string>",
"ssl_status": "valid",
"ssl_issuer": "<string>",
"ssl_issued_at": "2023-11-07T05:31:56Z",
"ssl_expires_at": "2023-11-07T05:31:56Z",
"last_check_at": "2023-11-07T05:31:56Z",
"last_successful_check_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
},
"registrant_first_name": "<string>",
"registrant_last_name": "<string>",
"registrant_organization": "<string>",
"registrant_email": "jsmith@example.com",
"registrant_phone": "<string>",
"registrant_address_1": "<string>",
"registrant_address_2": "<string>",
"registrant_city": "<string>",
"registrant_state": "<string>",
"registrant_postcode": "<string>",
"registrant_country": "<string>",
"admin_first_name": "<string>",
"admin_last_name": "<string>",
"admin_organization": "<string>",
"admin_email": "jsmith@example.com",
"admin_phone": "<string>",
"admin_address_1": "<string>",
"admin_address_2": "<string>",
"admin_city": "<string>",
"admin_state": "<string>",
"admin_postcode": "<string>",
"admin_country": "<string>",
"tech_first_name": "<string>",
"tech_last_name": "<string>",
"tech_organization": "<string>",
"tech_email": "jsmith@example.com",
"tech_phone": "<string>",
"tech_address_1": "<string>",
"tech_address_2": "<string>",
"tech_city": "<string>",
"tech_state": "<string>",
"tech_postcode": "<string>",
"tech_country": "<string>",
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the domain
The body is of type object.
DNS zone attached to domain successfully
Show child attributes
pending - pendingregistering - registeringactive - activeexpired - expiredexpiring_soon - expiring soonsuspended - suspendedtransferring_in - transferring intransferring_out - transferring outpending_delete - pending deletedeleted - deletedfailed - failedpending, registering, active, expired, expiring_soon, suspended, transferring_in, transferring_out, pending_delete, deleted, failed Show child attributes
Show child attributes